Bug 65014 - Can't 'su' to another LDAP Based User
Can't 'su' to another LDAP Based User
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 22:09 EDT by Garry Thomas
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry Thomas 2002-05-15 22:09:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
I can login to a server using LDAP based authentication, but I can't then 'su' 
to another user - it fails with an incorrect password error (not unknown user). 
If I su to root, I can then su to the user, which to me means the server can 
successfully find the user in LDAP.
This is currently working for several RH7.2 servers. I have upgraded a RH7.2 
server with nss_ldap-185-1.i386.rpm, but this introduced other issues, so I 
rolled it back to nss_ldap-172-2.i386.rpm. After rolling back, I get this 
same 'su' issue on the RH7.2 server, just like I have on the RH7.3 servers.

What changes are made by going to nss_ldap-185-1.i386.rpm, that are not undone 
by going back to nss_ldap-172-2.i386.rpm? I've looked thru the file lists for 
nss_ldap-172-2.i386.rpm, and all seem OK on the RH7.2 server.
Regards
Garry

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Login as User
2.Attempt su to another user, this fails with password problem
3.Try on a Rh 7.2 (nss_ldap-172-2.i386.rpm) and it works ok
	

Additional info:
Comment 1 Garry Thomas 2002-05-22 20:02:20 EDT
Seems I can workaround the problem if I change /etc/ldap.conf to bind as the 
rootdn rather than just anonymously.....any ideas?
Comment 2 Bill Nottingham 2006-08-04 23:05:59 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 12:00:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.